
Infrastructure - Task #8079

Story # 8061 (New): develop queue-based processing system for the CN

prototype durable task processing for d1_index_processor

2017-04-24 22:29 - Rob Nahf

Status: In Progress Start date: 2017-04-24

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 30%

Category: d1_indexer Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

The requirement is publisher confirmation when submitting task to a queue, and consumer acknowledgements when pulling from a

queue.  Don't acknowledge consumption until you get publisher confirmation from the outputQueue, or else you risk dropping the

task.  

It would be good to generalize this pattern to isolate the safe-hand off, but RabbitMQ Java client makes it a bit tricky, since it

implements consumers as callbacks - methods that are called under the hood when a message is consumed.

History

#1 - 2017-04-26 04:59 - Rob Nahf

https://raw.githubusercontent.com/rabbitmq/rabbitmq-perf-test/master/src/main/java/com/rabbitmq/examples/ConfirmDontLoseMessages.java

#2 - 2017-04-26 05:45 - Rob Nahf

- Status changed from New to In Progress

- % Done changed from 0 to 30
